Template URLs should not be based on the browser address bar
Status: Closed   

Priority: Normal   

Assignee: Greg Sutcliffe   

Category: Templates   

Target version: 1.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Templates are generated using url_for() which causes the templates to get the base url of the foreman server from the user's web

browser address. This is incorrect if you're installing Foreman locally and accessing http://localhost:3000/

We should instead use the Settings[:foreman_url] value to construct the URLs. Patch incoming.

Associated revisions

Revision f343e91a - 10/31/2012 05:35 AM - Greg Sutcliffe

Fixes #1920 - Template URLs should not be based on the browser address bar

Revision 9f6de1e7 - 11/01/2012 07:45 AM - Greg Sutcliffe

Refs #1920 : Fix failing tests for Setting[:foreman_url] Ensure plain 'http' protocol is used in templates Add a test to ensure http is used when https is

in @request

History

#1 - 10/31/2012 06:41 AM - Anonymous

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset f343e91a2b65c1cf94d057359dd100f3a10b0cc7.
